Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextCursor.SelectionType

    java.lang.Object
      java.lang.Enum<QTextCursor.SelectionType>
          com.trolltech.qt.gui.QTextCursor.SelectionType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextCursor.SelectionType>

Enclosing class:
  QTextCursor

    public static enum QTextCursor.SelectionType

extends java.lang.Enum<QTextCursor.SelectionType>
implements QtEnumerator

This enum describes the types of selection that can be applied with the `select` function.

Enum Constant Summary
`BlockUnderCursor` Selects the block of text under the cursor.
`Document` Selects the entire document.
`LineUnderCursor` Selects the line of text under the cursor.
`WordUnderCursor` Selects the word under the cursor.

Method Summary
`static QTextCursor.SelectionType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextCursor.SelectionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextCursor.SelectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WordUnderCursor

    public static final QTextCursor.SelectionType WordUnderCursor

  Selects the word under the cursor. If the cursor is not positioned within a string of selectable characters, no text is selected.

### LineUnderCursor

    public static final QTextCursor.SelectionType LineUnderCursor

  Selects the line of text under the cursor.

### BlockUnderCursor

    public static final QTextCursor.SelectionType BlockUnderCursor

  Selects the block of text under the cursor.

### Document

    public static final QTextCursor.SelectionType Document

  Selects the entire document.

Method Detail

### values

    public static final QTextCursor.SelectionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextCursor.SelectionType c : QTextCursor.SelectionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextCursor.SelectionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextCursor.SelectionType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD